Message: installation of GEANT4:9.5.p01: /usr/bin/ld: cannot find -lQtCore Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None installation of GEANT4:9.5.p01: /usr/bin/ld: cannot find -lQtCore 

Forum: Installation and Configuration
Date: 18 Oct, 2012
From: Shilpi Jain <Shilpi Jain>

Dear all,

I am trying to install GEANT4.9.5.p01 version on my lxplus machine.

The steps are as follows:

(1) mkdir geant4.9.5.1-build; cd geant4.9.5.1-build; mkdir myinstall (2) I then set the following variables: gcc_config_version=4.3.2 mpfr_config_version=2.3.1 gmp_config_version=4.2.2 LCGPLAT=x86_64-slc5-gcc34-opt LCG_lib_name=lib64

(3) Version of CLHEP: 2.1.1.0 XercesCversion="3.1.0" Qt_VERSION="4.6.3p2"

(4) cmake -DCMAKE_INSTALL_PREFIX=/afs/cern.ch/user/s/shilpi/mygeant4/geant4.9.5.1-build/myinstall -DGEANT4_USE_SYSTEM_CLHEP=ON -DCLHEP_ROOT_DIR=/afs/cern.ch/sw/lcg/ex\ ternal/clhep/2.1.1.0/x86_64-slc5-gcc43-opt -DXERCESC_ROOT_DIR=/afs/cern.ch/sw/lcg/external/XercesC/3.1.0/x86_64-slc5-gcc43-opt -DGEANT4_USE_G3TOG4=ON -DGEANT4_USE_GDM\ L=ON -DGEANT4_USE_QT=ON -DQT_QMAKE_EXECUTABLE=/afs/cern.ch/sw/lcg/external/qt/4.6.3p2/x86_64-slc5-gcc43-opt/bin/qmake -DGEANT4_USE_XM=ON -DGEANT4_USE_OPENGL_X11=ON -D\ GEANT4_USE_RAYTRACER_X11=ON ../geant4.9.5.p01 -DGEANT4_BUILD_GRANULAR_LIBRARIES=ON ../geant4.9.5.p01

(5) make -j16

(6) make install

(7) then I go to novice/N01

(8) source /afs/cern.ch/user/s/shilpi/mygeant4/geant4.9.5.1-build/myinstall/bin/geant4.csh

(9) gmake

But I get the following error is:

==========================================================================

/usr/bin/ld: cannot find -lQtCore collect2: ld returned 1 exit status

=========================================================================

Could you please let me know what wrong could be going? If you need further information from my side, please let me know.

Thanks & Regards, Shilpi

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Feedback: Re: installation of GEANT4:9.5.p01: /usr/bin/ld: cannot find -lQtCore   (Kareem Kazkaz - 07 Nov, 2012)
 Add Message Add Message
to: "installation of GEANT4:9.5.p01: /usr/bin/ld: cannot find -lQtCore"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]